<!ENTITY % atributoCodigoID "codigo ID #IMPLIED">
<!ELEMENT tortillas (local*, tortilla*)>
<!ELEMENT local (#PCDATA | localidad)*>
<!ATTLIST local cantidad (tapa | media | entera) "entera">
<!ELEMENT localidad EMPTY>
<!ATTLIST localidad nombre CDATA #REQUIRED
                    %atributoCodigoID;
                    comarca CDATA #FIXED "Subbética">
<!ELEMENT tortilla (ingredientes, puntuacion?, opinion+)>
<!ELEMENT puntuacion (#PCDATA)>
<!ELEMENT opinion (#PCDATA)>
<!ELEMENT ingredientes (patatas, huevo, (cebolla | pimientos))>
<!ELEMENT patatas EMPTY>
<!ELEMENT huevo EMPTY>
<!ELEMENT cebolla EMPTY>
<!ELEMENT pimientos EMPTY>
<!ATTLIST tortilla locales IDREFS #REQUIRED
                    localPreferido IDREF #IMPLIED
                    %atributoCodigoID;>
<!ENTITY estrella "Estrella Galicia">
